<?php
$params = ( empty( $params ) ) ? [] : $params;
$sld    = ( isset( $_REQUEST['sld'] ) ) ? esc_attr( $_REQUEST['sld'] ) : '';
$tld    = ( isset( $_REQUEST['tld'] ) ) ? esc_attr( $_REQUEST['tld'] ) : '';
$typ    = ( isset( $_REQUEST['domain'] ) ) ? esc_attr( $_REQUEST['domain'] ) : '';
$domain = $sld . $tld;
global $WHMPress;

$all_tlds = whmp_get_whmcs_tlds();
if ( ! empty( $all_tlds ) && is_array( $all_tlds ) ) {
	?>

    <div class="whmpress_domain_search_ajax_extended_container whcom_main">
        <div class="whmpress_domain_search_ajax_extended_search_form_container">
            <form action="#" class="whmpress_domain_search_ajax_extended_search_form <?php echo (!empty($tld) && !empty($sld)) ? 'whcom_op_submit_on_load' : '';?>">
                <input type="hidden" name="action" value="whmpress_action">
                <input type="hidden" name="do" value="whmpress_domain_search_ajax_extended_results">
                <input type="hidden" name="page_size" value="2">
                <input type="hidden" name="is_title" value="yes">
                <?php foreach ($params as $param_key => $param_val) { ?>
                    <input type="hidden" name="params[<?php echo $param_key; ?>]" value="<?php echo $param_val; ?>">
                <?php } ?>
                <div class="whcom_row whcom_row_no_gap">
                    <div class="whcom_col_md_7 whcom_col_sm_12">
                        <div class="whcom_form_field">
                            <input type="search" name="sld" value="<?php echo $sld ?>" placeholder="Search">
                        </div>
                    </div>
                    <div class="whcom_col_md_3 whcom_col_sm_6">
                        <div class="whcom_form_field">
                            <select name="tld" title="Select TLD">
		                        <?php foreach ($all_tlds as $tld_key => $tld_val) { ?>
                                    <option value="<?php echo $tld_key ?>" <?php echo ($tld == '.' . $tld_key || $tld == $tld_key) ? 'selected' : '' ?>>.<?php echo $tld_key ?></option>
		                        <?php } ?>
                            </select>
                        </div>
                    </div>
                    <div class="whcom_col_md_2 whcom_col_sm_6">
                        <div class="whcom_form_field">
                            <button type="submit" class="whcom_button whcom_button_block">Search</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <div class="whmpress_domain_search_ajax_extended_search_result_title" style="display: none !important;">
        </div>

        <div class="whmpress_domain_search_ajax_extended_search_result_title_placeholder" style="display: none !important;">
            <input type="hidden" name="tld" value="">
            <span class="sld_placeholder"></span>.<span class="tld_placeholder"></span>
            <span class="whcom_icon_spinner-1 whcom_animate_spin"></span> <?php esc_html_e('Loading...', 'whmpress')?>
        </div>
        <div class="whmpress_domain_search_ajax_extended_search_results">
        </div>
        <div class="whmpress_domain_search_ajax_extended_search_results_placeholders" style="display: none !important;">
            <div class="whmpress_domain_search_ajax_extended_search_result">
                <input type="hidden" name="tld" value="">
                <span class="sld_placeholder"></span>.<span class="tld_placeholder"></span>
                <span class="whcom_icon_spinner-1 whcom_animate_spin"></span> <?php esc_html_e('Loading...', 'whmpress')?>
            </div>
        </div>
        <div class="whmpress_domain_search_ajax_extended_search_results_load_more whcom_text_center whcom_padding_15" style="display: none">
            <button class="whcom_button whcom_button_primary whmpress_domain_search_ajax_extended_search_load_more_button">
	            <?php echo $params['load_more_button_text'] ?>
            </button>
            <a href="<?php echo $WHMPress->get_whmcs_url('confdomains'); ?>" class="whcom_button whcom_button_primary whmpress_domain_search_ajax_extended_continue_button">
		        <?php echo $params['continue_button_text'] ?>
            </a>
        </div>
    </div>
<?php } ?>

